Odoo Help

0

Knowledge Management System app in Odoo v9

By
Noble Man
on 8/25/16, 8:41 AM 641 views

I am getting this error when I install knowledge management . How can I solve it 

ParseError: "External ID not found in the system: base.module_category_knowledge_management" while parsing file:///C:/Program Files (x86)/Odoo 9.0-20160803/server/openerp/addons/knowledge/security/knowledge_security.xml:5, near
<record id="base.group_document_user" model="res.groups">
        <field name="name">User</field>
        <field name="category_id" ref="base.module_category_knowledge_management"/>
        <field name="users" eval="[(4, ref('base.user_root'))]"/>
    </record>
0

Akhil P Sivan

--Akhil P Sivan--
3990
| 5 3 7
Kochi, India
--Akhil P Sivan--

Interested in exploring Odoo both technically & functionality wise.

email-id : akhilpsivan01@gmail.com

Akhil P Sivan
On 2/4/17, 1:50 AM

Hi,

Try like this:

<record model="ir.module.category" id="base.module_category_knowledge_management">            
    <field name="name">Knowledge</field>
    <field name="sequence">999</field>
</record>

<record id="base.group_document_user" model="res.groups">
    <field name="name">User</field>
    <field name="category_id" ref="base.module_category_knowledge_management"/>
    <field name="users" eval="[(4, ref('base.user_root'))]"/>
</record>

 

you are the man, thank you!

Juan Sebastián Ocampo Ospina
on 3/7/17, 5:12 PM

pls do upvote if it helped you!

Akhil P Sivan
on 3/12/17, 12:44 AM
0
Divyang Jariwala
On 9/8/16, 4:34 AM

Hi Noble Man,

There is no record id like "module_category_knowledge_management" in Odoo V9.

If you have copied that code from V8 version then its will not work in V9.

0

Tarek Mohamed Ibrahim

--Tarek Mohamed Ibrahim--
904
| 5 3 7
Gîza, Egypt
--Tarek Mohamed Ibrahim--

I am an old VFP developer on ERP

I have moved to 2p since Nov-2014 and started developing with Python on Odoo.

https://www.linkedin.com/profile/public-profile-settings?trk=prof-edit-edit-public_profile

tibrahim@2p.com.sa

Tarek Mohamed Ibrahim
On 8/25/16, 5:30 PM

The 'knowledge' module depends on the 'base' module, and this error should not be there. There seems something strange happened while installation. Try to 'upgrade' the 'base' module and then install the 'knowledge' module again.

About This Community

This platform is for beginners and experts willing to share their Odoo knowledge. It's not a forum to discuss ideas, but a knowledge base of questions and their answers.

Register

Odoo Training Center

Access to our E-learning platform and experience all Odoo Apps through learning videos, exercises and Quizz.

Test it now

Question tools

1 follower(s)

Stats

Asked: 8/25/16, 8:41 AM
Seen: 641 times
Last updated: 2/4/17, 1:50 AM